function onTalk()
    disableMovement()
    local dialog_choice=1
    say("A_WIND2_TELEPORT_BACK")
    dialog_choice=choice("A_WIND2_TELEPORT_BACK_ANSWER1","A_WIND2_TELEPORT_BACK_ANSWER2")
    if dialog_choice==1 then
        teleportTo(1,1,"A_WIND2","WakeUp")
        enableMovement()
    end
end
function onEnd()
    enableMovement()
end